JackTrip: ProcessPlugin Class Reference

JackTrip

Public Member Functions | Protected Attributes | List of all members
ProcessPlugin Class Referenceabstract

Interface for the process plugins to add to the JACK callback process in JackAudioInterface. More...

`#include <ProcessPlugin.h>`

Inheritance diagram for ProcessPlugin:
[legend]
Collaboration diagram for ProcessPlugin:
[legend]

## Public Member Functions
| ProcessPlugin ()
| The Class Constructor. More...
virtual | ~ProcessPlugin ()
| The Class Destructor. More...
virtual int | getNumInputs ()=0
| Return Number of Input Channels. More...
virtual int | getNumOutputs ()=0
| Return Number of Output Channels. More...
virtual void | init (int samplingRate)
| Do proper Initialization of members and class instances. By default this initializes the Sampling Frequency. If a class instance depends on the sampling frequency, it should be initialize here. More...
virtual void | compute (int nframes, float **inputs, float **outputs)=0
| Compute process. More...

## Protected Attributes
int | fSamplingFreq
| Faust Data member, Sampling Rate. More...

## Detailed Description

Interface for the process plugins to add to the JACK callback process in JackAudioInterface.

This class contains the same methods of the FAUST dsp class. A mydsp class can inherit from this class the same way it inherits from dsp. Subclass should implement all methods except init, which is optional for processing that are sampling rate dependent or that need specific initialization.

## Constructor & Destructor Documentation

## ◆ ProcessPlugin()

ProcessPlugin::ProcessPlugin | ( |  | ) |
| inline

The Class Constructor.

## ◆ ~ProcessPlugin()

virtual ProcessPlugin::~ProcessPlugin | ( |  | ) |
| inlinevirtual

The Class Destructor.

## Member Function Documentation

## ◆ compute()

virtual void ProcessPlugin::compute | ( | int | nframes,
|  | float ** | inputs,
|  | float ** | outputs
| ) |  |
| pure virtual

Compute process.

Implemented in NetKS, and LoopBack.

## ◆ getNumInputs()

virtual int ProcessPlugin::getNumInputs | ( |  | ) |
| pure virtual

Return Number of Input Channels.

Implemented in NetKS, and LoopBack.

## ◆ getNumOutputs()

virtual int ProcessPlugin::getNumOutputs | ( |  | ) |
| pure virtual

Return Number of Output Channels.

Implemented in NetKS, and LoopBack.

## ◆ init()

virtual void ProcessPlugin::init | ( | int | samplingRate | ) |
| inlinevirtual

Do proper Initialization of members and class instances. By default this initializes the Sampling Frequency. If a class instance depends on the sampling frequency, it should be initialize here.

Reimplemented in NetKS.

## Member Data Documentation

## ◆ fSamplingFreq

int ProcessPlugin::fSamplingFreq
| protected

Faust Data member, Sampling Rate.

The documentation for this class was generated from the following file:

- src/ProcessPlugin.h